REM  Batch script to compute ORANI-G elasticities

call cleanup

REM  create GSS,GST files for both ORANIG and CALC
tablo -pgs oranig >tb1.log
if errorlevel 1 goto err
tablo -pgs calc >tb2.log
if errorlevel 1 goto err

REM  create EQ4, LU4 files for ORANIG
gemsim -cmf oranigsr.cmf  >run1.log
REM Above, use oraniglr.cmf for long-run elasticities
if errorlevel 1 goto err

REM  do a SAGEM simulation for each price shock 
sagem -cmf sagemp.cmf >sagemp.log
if errorlevel 1 goto err
REM  convert SL4 file to SOL HAR file
sltoht -sti sagemp.sti >sltohtp.log
if errorlevel 1 goto err
 
REM  do a SAGEM simulation for each quantity shock 
sagem -cmf sagemq.cmf >sagemq.log
if errorlevel 1 goto err
sltoht -sti sagemq.sti >sltohtq.log
if errorlevel 1 goto err

REM  compute supply elasticities from quantity shock results
REM  and demand elasticities from price shock results
gemsim -cmf calc.cmf
if errorlevel 1 goto err


REM  compute supply and demand elasticities from price shock results
gemsim -cmf calcp.cmf
if errorlevel 1 goto err
REM  compute supply and demand elasticities from quantity shock results
gemsim -cmf calcq.cmf
if errorlevel 1 goto err

:skip

dir/od *.har *.sl4 *.slc *.cvl *.sol
echo JOB DONE OK
goto endbat
:err
echo ERROR
:endbat